%define upstream_name		Sys-Mmap
%define upstream_version	0.16

Name:		perl-%{upstream_name}
Version:	%{upstream_version}
Release:	%mkrel 0

Summary:	Sys::Mmap
License:	GPL
Group:		Development/Perl
Url:		http://www.kernel.org/software/mon/
Source0:	http://search.cpan.org/CPAN/authors/id/S/SA/SAMV/%{upstream_name}-%{upstream_version}.tar.gz

Requires:	perl-base >= 2:5.12.3

%description
The Mmap module lets you use mmap to map in a file as a perl variable rather
than reading the file into dynamically allocated memory.  Multiple programs may
map the same file into memory, and immediately see changes by each other.
Memory may be allocated not attached to a file, and shared with subprocesses.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%check

%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%{perl_vendorlib}
%{_mandir}/*/*
%doc Changes README
# Not sure how to handle these :-
/usr/lib/debug/usr/lib/perl5/vendor_perl/5.12.3/x86_64-linux-thread-multi/auto/Sys/Mmap/Mmap.so.debug
/usr/src/debug/Sys-Mmap-0.16/Mmap.c
/usr/src/debug/Sys-Mmap-0.16/Mmap.xs

%changelog
* Tue Aug 30 2011 Barry Jackson <zen25000@zen.co.uk> 0.16-0 
- New package for Mageia
